AlibabaFree
Z Image
API model name: z-image
Z Image is Alibaba's image generation model, served on the Api.Airforce unified API. It is available on the free tier at no per-token cost. Access it through the OpenAI-compatible API with one key, alongside 65+ other models on Api.Airforce.
Pricing
Specifications
- Provider
- Alibaba
- Type
- image generation model
Use Z Image via the API
OpenAI-compatible — point any OpenAI SDK at https://api.airforce/v1 and pass z-image as the model.
cURL
curl https://api.airforce/v1/images/generations \
-H "Authorization: Bearer $AIRFORCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "z-image",
"prompt": "a red panda coding"
}'Python
from openai import OpenAI
client = OpenAI(base_url="https://api.airforce/v1", api_key="$AIRFORCE_API_KEY")
img = client.images.generate(model="z-image", prompt="a red panda coding")
print(img.data[0].url)JavaScript
import OpenAI from "openai";
const client = new OpenAI({ baseURL: "https://api.airforce/v1", apiKey: process.env.AIRFORCE_API_KEY });
const img = await client.images.generate({ model: "z-image", prompt: "a red panda coding" });
console.log(img.data[0].url);Live performance
Real throughput and latency across the suppliers serving this model.
Loading live metrics…
Related models
Claude 3 7 Ch ExpAnthropic · FreeClaude 4 Ch ExpAnthropic · FreeClaude Haiku 4.5Anthropic · $0.60 / 1MClaude Opus 4.5Anthropic · $2.20 / 1MClaude Opus 4.5 RpAnthropic · $3.00 / 1MClaude Opus 4.6Anthropic · $1.25 / 1MClaude Opus 4.6 RpAnthropic · $2.50 / 1MClaude Opus 4.7Anthropic · $1.25 / 1MClaude Opus 4.8Anthropic · $2.50 / 1MClaude Sonnet 4.5Anthropic · $1.10 / 1MClaude Sonnet 4.5 RpAnthropic · $1.00 / 1MClaude Sonnet 4.6Anthropic · $0.60 / 1M